@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap");
:root {
  --primary-color: #07273c;
  --primary-light-color: #17384e;
  --primary-dark-color: #031d2e;
  --secondary-color: #ff7010;
  --secondary-light-color: #d95347;
  --secondary-dark-color: #e54600;
  --white-color: #fff;
  --black-color: #333;
}
* {
  box-sizing: border-box !important;
}

body {
  font-family: "Oswald", serif !important;
  overflow-x: hidden;
}

a {
  text-decoration: none !important;
}

.logo {
  -webkit-text-stroke: 1px solid #fff;
}
.topbar {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 20px;
  background: var(--primary-color);
  padding: 10px 0;
  color: var(--white-color);
  border-bottom: 1px solid var(--black-color);
}

.topbar-icon-box {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 10px;
}

.topbar-icon-box .icon {
  background: var(--primary-light-color);
  width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
}

.topbar-icon-box p {
  font-size: 16px;
  line-height: 20px;
  margin-top: 10px;
}

#main-header {
  background: var(--primary-color);
  color: var(--white-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
}

.menu-items {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  list-style: none;
  gap: 20px;
  margin-top: 10px;
}

.menu-link {
  text-transform: uppercase;
  color: var(--white-color);
  font-weight: 600;
  transition: 0.3s linear;
}

.menu-link:hover {
  color: var(--secondary-color);
  transform: translateY(-10px);
}

.header {
  display: flex;
  justify-content: space-between;
}
.hamburger {
  display: none;
  width: 48px;
  height: 48px;
  background: var(--primary-light-color);
  position: fixed;
  right: 10px;
  top: 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 10px;
  border-radius: 3px;
  box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5),
    inset 10px 10px 10px rgba(0, 0, 0, 0.5);
  z-index: 999;
}

.line {
  height: 2px;
  background: var(--white-color);
  width: 100%;
}
.sidebar {
  display: none;
  position: fixed;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: var(--secondary-color);
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 999;
  text-align: center;
  transition: 0.4s linear;
}

.sidebar.active {
  left: 0;
}

.sidebar-link {
  color: var(--white-color);
  text-align: center;
}

.sidebar-items {
  width: 100%;
  margin-left: -10px !important;
  list-style: none;
}

.sidebar-item {
  border-bottom: 1px solid var(--primary-dark-color);
  padding-bottom: 10px;
  margin: 0 10px;
}

.sidebar .topbar-icon-box .icon {
  background: var(--secondary-light-color);
}

.close {
  position: absolute;
  top: 10px;
  right: 10px;
  background: var(--primary-dark-color);
  width: 48px;
  height: 48px;
  font-size: 40px;
  line-height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100px;
}

#hero-img {
  background: url("./images/bg2-1.jpg");
  background-size: cover;
  background-position: center center;
  padding: 20px 0;
  overflow: hidden;
}

#hero-img img {
  animation: rotateImg 10s linear infinite;
}

.btn-custom-secondary {
  background: var(--secondary-color);
  color: var(--white-color);
  padding: 16px 40px;
  margin-top: 20px;
  display: inline-block;
  transition: 0.3s linear;
  position: relative;
  border: none;
  z-index: 9;
}

.btn-custom-secondary::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--primary-light-color);
  z-index: -1;
  transform: scaleX(0);
  transition: 0.4s linear;
}

.btn-custom-secondary:hover::after {
  transform: scaleX(1);
}

#about {
  padding: 80px 0;
  background: url("./images/about-bg.png");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.about-img {
  width: 480px;
  position: relative;
  z-index: 9;
}

.about-img::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--primary-light-color);
  transform: translate(-30px, 30px);
  z-index: -1;
}

.about-img::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 30%;
  height: 30%;
  border-bottom: 2px solid var(--secondary-color);
  border-left: 2px solid var(--secondary-color);
  transform: translate(-30px, 30px);
  animation: borderAnim 4s linear infinite alternate;
}

.about-icon-box {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 30px;
  background: var(--primary-light-color);
  width: 400px;
  padding: 10px 20px;
  gap: 10px;
  border-radius: 10px;
}

.about-icon-box .icon {
  background: var(--secondary-color);
  width: 60px;
  height: 60px;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.about-icon-box .icon:before {
  content: "";
  position: absolute;
  top: -4px;
  left: -5px;
  width: calc(100% + 10px);
  height: calc(100% + 10px);
  border: 1px dashed var(--secondary-color);
  border-radius: 100%;
}
.text-custom-secondary {
  color: var(--secondary-color) !important;
}

#services {
  background: var(--primary-dark-color);
  padding: 80px 0;
}

.service-box {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  gap: 10px;
  background: var(--primary-color);
  /* height: 320px; */
  padding: 20px;
  border-radius: 10px;
  box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5),
    inset -10px -10px 10px rgba(0, 0, 0, 0.5);
}

.content-box {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  z-index: 999;
  background: var(--secondary-color);
  box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.8),
    inset -10px -10px 10px rgba(0, 0, 0, 0.5);
  padding: 30px;
  width: 90%;
  transition: 0.4s linear;
  height: 300px;
  overflow-y: scroll;
  text-align: left;
}

.content-box-close {
  position: fixed;
  top: 10px;
  right: 10px;
  background: var(--primary-color);
  color: var(--white-color);
  width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  border-radius: 100%;
  cursor: pointer;
}
.active.content-box {
  transform: translate(-50%, -50%) scale(1);
}
.btn-custom-secondary-link {
  color: var(--secondary-color);
  text-transform: uppercase;
  transition: 0.4s linear;
}

.btn-custom-secondary-link:hover {
  letter-spacing: 3px;
  color: var(--white-color);
}

#testimonials {
  padding: 80px 0;
  background: var(--primary-light-color);
  color: var(--white-color);
  overflow: hidden;
}

.slider {
  position: relative;
  width: 80%;
  margin: auto;
  /* overflow: hidden; */
}

.slider-container {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide {
  min-width: 33.33%;
  box-sizing: border-box;
  padding: 100px 20px;
  text-align: center;
  background-color: var(--primary-color);
  margin: 10px;
  box-shadow: 10px 10px 30px rgba(0, 0, 0, 0.5),
    inset -10px -10px 30px rgba(0, 0, 0, 0.5);
  border-radius: 10px;
  /* transform: rotateX(5deg); */
}

.author {
  font-style: italic;
  color: #ffffff;
}

.prev,
.next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  border: none;
  padding: 10px;
  cursor: pointer;
  font-size: 20px;
  z-index: 99;
}

.prev {
  left: 0;
}

.next {
  right: 0;
}

.dot {
  height: 15px;
  width: 15px;
  margin: 0 5px;
  background-color: var(--primary-color);
  border-radius: 50%;
  display: inline-block;
  cursor: pointer;
}

.dot.active {
  background-color: var(--primary-dark-color);
}

#contact {
  background: var(--primary-color);
  padding: 60px 0;
  border-bottom: 2px solid var(--primary-light-color);
}

#footer {
  background: var(--primary-dark-color);
  padding: 60px 0;
}

#footer li {
  list-style: square;
  color: var(--secondary-color);
  padding: 5px 0;
}

.footer-link {
  color: var(--white-color);
  font-size: 14px;
  transition: 0.4s linear;
}

.footer-link:hover {
  color: var(--secondary-color);
}

.social-icons .icon {
  background: var(--primary-light-color);
  width: 36px;
  height: 36px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  cursor: pointer;
}

.footer-icon-box {
  display: flex;
  justify-content: flex-start;
  gap: 10px;
}

.footer-icon-box .icon {
  color: var(--secondary-color);
}

.footer-icon-box h6 {
  font-size: 18px;
  line-height: 20px;
}

.footer-icon-box p {
  font-size: 14px;
  line-height: 20px;
}

.footer-icon-box p:nth-child(3) {
  margin-top: -15px;
}

#copyright {
  padding: 20px 0 0 0;
  background: var(--primary-light-color);
  color: var(--white-color);
}
@keyframes rotateImg {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes borderAnim {
  0% {
    width: 30%;
    height: 30%;
  }
  100% {
    width: 100%;
    height: 100%;
  }
}

@media only screen and (max-width: 700px) {
  .slide {
    min-width: 100%;
  }

  .col-sm-4,
  .col-sm-6 {
    width: 100%;
    margin: 10px 0;
  }

  .topbar {
    display: none;
  }

  #hero-img img {
    width: 90%;
    height: 90%;
    margin-bottom: 30px;
  }

  #hero-img .row {
    flex-direction: column-reverse;
  }

  #about .heading-2 {
    margin-top: 20px;
  }
  .about-img {
    width: 90%;
    margin-left: 30px;
  }

  .about-img img {
    height: 100%;
  }

  #about .heading-2 {
    font-size: 24px;
  }
  .about-icon-box {
    width: 95%;
  }

  .menubar {
    display: none;
  }

  .row {
    flex-direction: column;
  }

  .hamburger {
    display: flex !important;
  }

  .sidebar {
    display: flex !important;
  }
}
